pcl::IteratorIdx< PointT > Class Template Reference

`#include <pcl/impl/cloud_iterator.hpp>`

Inherits pcl::CloudIterator< PointT >::Iterator.

## Public Member Functions

| IteratorIdx (PointCloud< PointT > &cloud, const std::vector< int > &indices)
| IteratorIdx (PointCloud< PointT > &cloud, const PointIndices &indices)
virtual | ~IteratorIdx ()
void | operator++ ()
void | operator++ (int)
PointT & | operator* () const
PointT * | operator-> ()
unsigned | getCurrentPointIndex () const
unsigned | getCurrentIndex () const
std::size_t | size () const
void | reset ()
bool | isValid () const

## Detailed Description

### template<class PointT>
class pcl::IteratorIdx< PointT >

Author
  Suat Gedikli

Definition at line 116 of file cloud_iterator.hpp.

## Constructor & Destructor Documentation

## IteratorIdx() [1/2]

template<class PointT >

pcl::IteratorIdx< PointT >::IteratorIdx | ( | PointCloud< PointT > & | cloud,
|  | const std::vector< int > & | indices
| ) |  |

inline

Definition at line 119 of file cloud_iterator.hpp.

## IteratorIdx() [2/2]

template<class PointT >

pcl::IteratorIdx< PointT >::IteratorIdx | ( | PointCloud< PointT > & | cloud,
|  | const PointIndices & | indices
| ) |  |

inline

Definition at line 126 of file cloud_iterator.hpp.

## ~IteratorIdx()

template<class PointT >

virtual pcl::IteratorIdx< PointT >::~IteratorIdx | ( |  | ) |

inline virtual

Definition at line 133 of file cloud_iterator.hpp.

## Member Function Documentation

## getCurrentIndex()

template<class PointT >

unsigned pcl::IteratorIdx< PointT >::getCurrentIndex | ( |  | ) | const

inline

Definition at line 160 of file cloud_iterator.hpp.

## getCurrentPointIndex()

template<class PointT >

unsigned pcl::IteratorIdx< PointT >::getCurrentPointIndex | ( |  | ) | const

inline

Definition at line 155 of file cloud_iterator.hpp.

## isValid()

template<class PointT >

bool pcl::IteratorIdx< PointT >::isValid | ( |  | ) | const

inline

Definition at line 175 of file cloud_iterator.hpp.

## operator*()

template<class PointT >

PointT& pcl::IteratorIdx< PointT >::operator* | ( |  | ) | const

inline

Definition at line 145 of file cloud_iterator.hpp.

## operator++() [1/2]

template<class PointT >

void pcl::IteratorIdx< PointT >::operator++ | ( |  | ) |

inline

Definition at line 135 of file cloud_iterator.hpp.

## operator++() [2/2]

template<class PointT >

void pcl::IteratorIdx< PointT >::operator++ | ( | int |  | ) |

inline

Definition at line 140 of file cloud_iterator.hpp.

## operator->()

template<class PointT >

PointT* pcl::IteratorIdx< PointT >::operator-> | ( |  | ) |

inline

Definition at line 150 of file cloud_iterator.hpp.

## reset()

template<class PointT >

void pcl::IteratorIdx< PointT >::reset | ( |  | ) |

inline

Definition at line 170 of file cloud_iterator.hpp.

## size()

template<class PointT >

std::size_t pcl::IteratorIdx< PointT >::size | ( |  | ) | const

inline

Definition at line 165 of file cloud_iterator.hpp.

The documentation for this class was generated from the following file:

- pcl/impl/cloud_iterator.hpp